RESTinio

Classes | Public Member Functions | List of all members
restinio::http_field_parsers::impl::qvalue_producer_t Class Reference

An implementation of producer of qvalue. More...

`#include <basics.hpp>`

Inheritance diagram for restinio::http_field_parsers::impl::qvalue_producer_t:

## Classes
class | digit_consumer_t
| A helper class to be used to accumulate actual integer while when the next digit is extracted from the input stream. More...
struct | zero_initialized_unit_t

## Public Member Functions
RESTINIO_NODISCARD expected_t< result_type, parse_error_t > | try_parse (source_t &from) const noexcept

## Additional Inherited Members
Public Types inherited from restinio::easy_parser::impl::producer_tag< qvalue_t >
using | result_type = qvalue_t
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< qvalue_t >
static constexpr entity_type_t | entity_type

## Detailed Description

An implementation of producer of qvalue.

Handles the following rule:

    qvalue = ( "0" [ "." 0*3DIGIT ] )
           / ( "1" [ "." 0*3("0") ] )

and produces an instance of qvalue_t.

See: https://tools.ietf.org/html/rfc7231

Since
  v.0.6.1

Definition at line 1162 of file basics.hpp.

## Member Function Documentation

## ◆ try_parse()

RESTINIO_NODISCARD expected_t< result_type, parse_error_t > restinio::http_field_parsers::impl::qvalue_producer_t::try_parse | ( | source_t & | from | ) | const
| inline noexcept

Definition at line 1193 of file basics.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/http_field_parsers/basics.hpp